local components = {}

---@param entity Entity
function components.allowedInEngine(entity)
    entity.allowedInEngine = T.marker
end

---@param entity Entity
function components.allowedInWheels(entity)
    entity.allowedInWheels = T.marker
end

---@param entity Entity
function components.allowedInPropulsion(entity)
    entity.allowedInPropulsion = T.marker
end

---@param entity Entity
function components.allowedInSeating(entity)
    entity.allowedInSeating = T.marker
end

---@param entity Entity
function components.allowedInStyling(entity)
    entity.allowedInStyling = T.marker
end

---@param entity Entity
function components.allowedInBrakes(entity)
    entity.allowedInBrakes = T.marker
end

return components
